package entity

import (
	"time"
	"gorm.io/gorm"
)

type CampaignTypes struct {
	ID          uint           `json:"id" gorm:"primaryKey;type:int4;autoIncrement"`
	Name        string         `json:"name" gorm:"type:varchar(150)"`
	Description *string        `json:"description" gorm:"type:text"`
	IsActive    *bool          `json:"is_active" gorm:"type:bool;default:true"`
	CreatedAt   time.Time      `json:"created_at" gorm:"default:now()"`
	UpdatedAt   time.Time      `json:"updated_at" gorm:"default:now()"`
	DeletedAt   gorm.DeletedAt `json:"deleted_at" gorm:"index"`
}

